# frozen_string_literal: true

source 'https://rubygems.org'

gem 'gitlab-qa', '~> 14', '>= 14.2.1', require: 'gitlab/qa'
gem 'gitlab_quality-test_tooling', '~> 1.11.0', require: false
gem 'gitlab-utils', path: '../gems/gitlab-utils'
gem 'activesupport', '~> 7.0.8.1' # This should stay in sync with the root's Gemfile
gem 'allure-rspec', '~> 2.24.1'
gem 'capybara', '~> 3.40.0'
gem 'capybara-screenshot', '~> 1.0.26'
gem 'rake', '~> 13', '>= 13.1.0'
gem 'rspec', '~> 3.13'
gem 'selenium-webdriver', '= 4.18.1'
gem 'airborne', '~> 0.3.7', require: false # airborne is messing with rspec sandboxed mode so not requiring by default
gem 'rest-client', '~> 2.1.0'
gem 'rspec-retry', '~> 0.6.2', require: 'rspec/retry'
gem 'rspec_junit_formatter', '~> 0.6.0'
gem 'faker', '~> 3.2', '>= 3.2.3'
gem 'knapsack', '~> 4.0'
gem 'parallel_tests', '~> 4.4'
gem 'rotp', '~> 6.3.0'
gem 'parallel', '~> 1.24'
gem 'rainbow', '~> 3.1.1'
gem 'rspec-parameterized', '~> 1.0.0'
gem 'octokit', '~> 8.1.0'
gem "faraday-retry", "~> 2.2"
gem 'zeitwerk', '~> 2.6', '>= 2.6.13'
gem 'influxdb-client', '~> 3.0'
gem 'terminal-table', '~> 3.0.2', require: false
gem 'slack-notifier', '~> 2.4', require: false
gem 'fog-google', '~> 1.19', require: false
gem 'fog-core', '2.1.0', require: false # fog-google generates a ton of warnings with latest core
gem "warning", "~> 1.3"

gem 'chemlab', '~> 0.11', '>= 0.11.1'
gem 'chemlab-library-www-gitlab-com', '~> 0.1', '>= 0.1.1'

# dependencies for jenkins client
gem 'nokogiri', '~> 1.16', '>= 1.16.2'

gem 'deprecation_toolkit', '~> 2.2.0', require: false

gem 'factory_bot', '~> 6.3.0'

group :development do
  gem 'pry-byebug', '~> 3.10.1', platform: :mri
  gem "ruby-debug-ide", "~> 0.7.3"
end
